name: gps_tracker
description: "A new Flutter project."

publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: ">=3.6.0 <4.0.0"

dependencies:
  flutter:
    sdk: flutter

  geolocator: ^13.0.2
  shared_preferences: ^2.2.2
  flutter_background_service: ^5.0.5
  flutter_background_service_android: ^6.3.0
  http: ^1.3.0
  cupertino_icons: ^1.0.8
  uuid: ^4.5.1
  connectivity_plus: ^6.1.3
  intl: ^0.20.2
  flutter_inappwebview: ^6.0.0
  permission_handler: ^11.0.0  # تم التحديث إلى الإصدار 11
  share_plus: ^10.1.4
  url_launcher: ^6.1.9
  change_app_package_name: ^1.4.0
  android_intent_plus: ^4.0.0
  package_info_plus: ^8.3.0
  rxdart: ^0.27.0
  flutter_contacts: ^1.1.7


  # تمت إضافة مكتبة البطارية:
  battery_plus: ^4.0.2

  # إضافة مكتبة الإشعارات المحلية لإنشاء القناة
  flutter_local_notifications: ^17.2.1 # استخدام إصدار حديث
  
  # تزامن آمن عبر الأقفال
  synchronized: ^3.1.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0

flutter:
  uses-material-design: true
  assets:
    - assets/
